# RPM specfile for libghttp module
# Generated Fri Jul 13 14:21:49 2001 GMT by Ximian build system
# $Id: bb_do,v 1.119 2001/06/22 18:52:47 mike Exp $
# from $Id: helix-build.conf,v 1.21 2001/06/25 20:55:58 dobey Exp $

%define nam	libghttp
%define ver	1.0.9

Name:     	libghttp1
Version: 	1.0.9
Release:	ximian.7
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Linux Mandrake 8.0 / i586
Copyright:	GPL/LGPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc
URL:		ftp://ftp.jimpick.com/pub/mirrors/gnome
Source0:	libghttp-1.0.9.tar.gz
Summary:	Gnome HTTP client library
Group:		System Environment/Libraries
Requires:	glib >= 1.2.8
Provides:	libghttp

%description
This library is used by Gnome clients to do HTTP.

%files
%defattr(-, root, root)
%doc INSTALL NEWS TODO README
/usr/lib/libghttp.so.*


%package -n libghttp1-devel
Summary:	Development files for GNOME http library
Group:		Development/Libraries
Requires:	%{nam} = %{PACKAGE_VERSION}
Requires:	glib-devel
Provides:	libghttp-devel = %{PACKAGE_VERSION}

%description -n libghttp1-devel
This packages provides the include files and static library for the Gnome HTTP functions. 

%files -n libghttp1-devel
%defattr(-, root, root)
/usr/lib/libghttp.so
/usr/lib/libghttp.a
/usr/lib/libghttp.la
/usr/include/*
/usr/lib/ghttpConf.sh


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n libghttp-1.0.9
    ;;
all)
%setup  -q -n libghttp-1.0.9
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export MAKE RPM_COMMAND DESTDIR
case "$RPM_COMMAND" in
prepare|all)
    ./configure --prefix=/usr --mandir=/usr/man --infodir=/usr/info --sysconfdir=/etc
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install prefix=${DESTDIR}/usr sysconfdir=${DESTDIR}/etc infodir=${DESTDIR}/usr/info mandir=${DESTDIR}/usr/man
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
